Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class SessionDump

    java.lang.Object
      HttpServlet
          com.acme.SessionDump

    public class SessionDump

extends HttpServlet

Test Servlet Sessions.

Author:
  Greg Wilkins (gregw)

Constructor Summary
`SessionDump()`

Method Summary
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`String` | `getServletInfo()`
`protected void` | `handleForm(HttpServletRequest request, HttpServletResponse response)`
`void` | `init(ServletConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionDump

    public SessionDump()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Throws:
    `ServletException`

### handleForm

    protected void handleForm(HttpServletRequest request,
                              HttpServletResponse response)

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       IOException

  Throws:
    `ServletException`
    `IOException`

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Throws:
    `ServletException`
    `IOException`

### getServletInfo

    public String getServletInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.